Skip to main content
GET
Received lines, each carrying the inventory transaction it posted.

Headers

Range
string

Limiting and Pagination

Range-Unit
string
default:items

Limiting and Pagination

Prefer
enum<string>

Preference

Available options:
count=none

Query Parameters

id
string
purchase_order_receipt_id
string
purchase_order_item_id
string
line_number
string
order_line_number
string
part_id
string
part_number
string
part_name
string
description
string
quantity_received
string
quantity_accepted
string
quantity_rejected
string
rejection_reason
string
unit_cost
string
unit_cost_currency_id
string
inventory_location_id
string
lot_id
string
inventory_transaction_id
string
expiry_date
string
notes
string
created_at
string
select
string

Filtering Columns

order
string

Ordering

offset
string

Limiting and Pagination

limit
string

Limiting and Pagination

Response

OK

created_at
string<timestamp with time zone>
description
string<character varying>
Maximum string length: 500
expiry_date
string<date>
id
string<uuid>

Note: This is a Primary Key.

inventory_location_id
string<uuid>

Note: This is a Foreign Key to bin_settings.id.

inventory_transaction_id
string<uuid>

Note: This is a Foreign Key to inventory_transactions.id.

line_number
integer<integer>
lot_id
string<uuid>
notes
string<text>
order_line_number
integer<integer>
part_id
string<uuid>

Note: This is a Foreign Key to inventory_available.part_id.

part_name
string<character varying>
Maximum string length: 250
part_number
string<character varying>
Maximum string length: 80
purchase_order_item_id
string<uuid>

Note: This is a Foreign Key to open_purchase_orders.purchase_order_item_id.

purchase_order_receipt_id
string<uuid>

Note: This is a Foreign Key to purchase_order_receipts.id.

quantity_accepted
number<numeric>
quantity_received
number<numeric>
quantity_rejected
number<numeric>
rejection_reason
string<text>
unit_cost
number<numeric>
unit_cost_currency_id
string<uuid>